# Invoice
Date: 2017-03-21

gr.spinellis.invoice

## Class Invoice

- java.lang.Object
- - gr.spinellis.invoice.Invoice

    public class Invoice
    extends java.lang.Object

### Field Summary

Fields
`Customer` `customer`
`java.util.Date` `invoiceDate`
`InvoiceItem[]` `items`
`double` `total`

### Constructor Summary

Constructors
Constructor and Description
`Invoice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addItem(Product p, int quantity)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### total

    public double total

#### items

    public InvoiceItem[] items

#### customer

    public Customer customer

#### invoiceDate

    public java.util.Date invoiceDate

### Constructor Detail

#### Invoice

    public Invoice()

### Method Detail

#### addItem

    public void addItem(Product p,
                        int quantity)